//
//  SmartlookCBridge.h
//  Smartlook iOS SDK 1.2.0
//
//  Copyright © 2019 Smartsupp.com, s.r.o. All rights reserved.
//

#pragma once

#if defined __cplusplus
extern "C" {
#endif
	void SmartlookSetupAndStartRecording(const char* key);
	void SmartlookSetupAndStartRecordingWithFramerate(const char* key, int framerate);
	void SmartlookSetup(const char* key);
	void SmartlookSetupWithFramerate(const char* key, int framerate);
	void SmartlookStartRecording();
	void SmartlookStopRecording();
	void SmartlookStartFullscreenSensitiveMode();
	void SmartlookStopFullscreenSensitiveMode();
	void SmartlookSetReferrer(const char* referrer, const char* source);
	void SmartlookTrackCustomEvent(const char* eventName);
	void SmartlookTrackCustomEventWithProperties(const char* eventName, const char* properties);
	void SmartlookTrackNavigationEvent(const char* screenName, int direction);
	void SmartlookSetUserIdentifier(const char* userIdentifier);
	void SmartlookSetUserIdentifierWithProperties(const char* userIdentifier, const char* properties);
	bool SmartlookIsRecording();
	const char* SmartlookGetDashboardSessionUrl();
	void SmartlookEnableCrashlytics(bool enable);
	const char* SmartlookStartTimedCustomEvent(const char* eventName);
	const char* SmartlookStartTimedCustomEventWithProperties(const char* eventName, const char* properties);
	void SmartlookStopTimedCustomEvent(const char* eventId);
	void SmartlookStopTimedCustomEventWithProperties(const char* eventId, const char* properties);
	void SmartlookCancelTimedCustomEvent(const char* eventId, const char* reason);
	void SmartlookCancelTimedCustomEventWithProperties(const char* eventId, const char* reason, const char* properties);
	void SmartlookSetGlobalEventProperty(const char* key, const char* value, bool immutable);
	void SmartlookSetGlobalEventProperties(const char* properties, bool immutable);
	void SmartlookRemoveGlobalEventProperty(const char* key);
	void SmartlookRemoveAllGlobalEventProperties();
#if defined __cplusplus
};
#endif
